---
title: CSSMatrixComponent
slug: Web/API/CSSMatrixComponent
tags:
  - API
  - CSS Typed Object Model API
  - CSSMatrixComponent
  - CSSTransformComponent
  - CSSTransformValue
  - Experimental
  - Houdini
  - Interface
---
<div>{{draft}}{{SeeCompatTable}}{{APIRef("CSS Typed Object Model API")}}</div>

<p class="summary">The <strong><code>CSSMatrixComponent</code></strong> interface of the {{domxref('CSS Typed Object Model API','','',' ')}} represents the <a href="/en-US/docs/Web/CSS/transform-function/matrix()">matrix()</a> and <a href="/en-US/docs/Web/CSS/transform-function/matrix()">matrix3d()</a> values of the individual {{CSSXRef('transform')}} property in CSS. It inherits properties and methods from its parent {{domxref('CSSTransformValue')}}.</p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("CSSMatrixComponent.CSSMatrixComponent()")}}</dt>
 <dd>Creates a new <code>CSSMatrixComponent</code> object.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref('CSSMatrixComponent.matrix','matrix')}}</dt>
 <dd>A matrix.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>To do.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#cssmatrixcomponent','CSSMatrixComponent')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSMatrixComponent")}}</p>
